### File

`packages/components/eui-skeleton/eui-skeleton.component.ts`

### Description

A skeleton loading component that provides various shapes and sizes for placeholder content. Used to indicate loading states in the UI with different geometric shapes.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiSizeXS euiSizeS euiSizeM euiSizeL euiSizeXL euiRounded euiSizeVariant
selector | `eui-skeleton`
styleUrl | `eui-skeleton.scss`

### Index

###### Properties
Public baseStatesDirective
###### Inputs
circle line rectangle square
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

circle
Type : `boolean`
Default value : `false`

line
Type : `boolean`
Default value : `false`

rectangle
Type : `boolean`
Default value : `false`

square
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`
Default value : `inject(BaseStatesDirective)`
Instance of BaseStatesDirective used to manage component states

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the skeleton component by delegating to the private getCssClasses method. Returns : `string`

# results matching ""

# No results matching ""